curl --request PATCH \
--url https://api.notifique.dev/v1/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sms": {
"enabled": true,
"payload": {
"content": "Pedido {{codigo}} a caminho, {{name}}."
}
},
"rcs": {
"enabled": true,
"payload": {
"messageType": "BASIC",
"message": "Pedido {{codigo}} a caminho."
}
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sms: {enabled: true, payload: {content: 'Pedido {{codigo}} a caminho, {{name}}.'}},
rcs: {
enabled: true,
payload: {messageType: 'BASIC', message: 'Pedido {{codigo}} a caminho.'}
}
})
};
fetch('https://api.notifique.dev/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/templates/{id}"
payload = {
"sms": {
"enabled": True,
"payload": { "content": "Pedido {{codigo}} a caminho, {{name}}." }
},
"rcs": {
"enabled": True,
"payload": {
"messageType": "BASIC",
"message": "Pedido {{codigo}} a caminho."
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/templates/{id}"
payload := strings.NewReader("{\n \"sms\": {\n \"enabled\": true,\n \"payload\": {\n \"content\": \"Pedido {{codigo}} a caminho, {{name}}.\"\n }\n },\n \"rcs\": {\n \"enabled\": true,\n \"payload\": {\n \"messageType\": \"BASIC\",\n \"message\": \"Pedido {{codigo}} a caminho.\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "cltmpl01abc",
"workspaceId": "clws01xyz",
"name": "alerta_pedido",
"category": "TRANSACTIONAL",
"language": "pt_BR",
"source": null,
"status": "ACTIVE",
"metaId": null,
"type": null,
"components": null,
"variables": [
"codigo",
"name"
],
"variableDefaults": {
"name": "Cliente"
},
"usageCount": 12,
"lastUsedAt": "2026-07-08T10:15:00.000Z",
"marketingTopicId": null,
"appendPreferencesLink": true,
"localeTranslations": null,
"enabledChannels": [
"sms",
"email",
"whatsapp",
"rcs"
],
"sms": {
"enabled": true,
"payload": {
"content": "Pedido {{codigo}} a caminho, {{name}}."
}
},
"whatsapp": {
"enabled": true,
"payload": {
"content": "Ola {{name}}, pedido {{codigo}} saiu para entrega.",
"mediaUrl": null,
"buttons": null
}
},
"telegram": {
"enabled": false,
"payload": {
"content": "",
"mediaUrl": null,
"buttons": null
}
},
"email": {
"enabled": true,
"payload": {
"subject": "Pedido {{codigo}}",
"html": "<p>Ola {{name}}, seu pedido saiu.</p>",
"containerWidth": 600,
"containerPadding": 24,
"imageUrls": null,
"buttons": null
}
},
"rcs": {
"enabled": true,
"payload": {
"messageType": "BASIC",
"message": "Pedido {{codigo}} a caminho.",
"payload": null
}
},
"push": {
"enabled": false,
"payload": {
"title": null,
"body": null,
"url": null,
"icon": null,
"image": null,
"data": null
}
},
"voice": {
"enabled": false,
"payload": {
"speakText": "",
"speakVoice": null,
"gather": null
}
},
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-07-08T11:00:00.000Z"
}
}Update template
curl --request PATCH \
--url https://api.notifique.dev/v1/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sms": {
"enabled": true,
"payload": {
"content": "Pedido {{codigo}} a caminho, {{name}}."
}
},
"rcs": {
"enabled": true,
"payload": {
"messageType": "BASIC",
"message": "Pedido {{codigo}} a caminho."
}
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sms: {enabled: true, payload: {content: 'Pedido {{codigo}} a caminho, {{name}}.'}},
rcs: {
enabled: true,
payload: {messageType: 'BASIC', message: 'Pedido {{codigo}} a caminho.'}
}
})
};
fetch('https://api.notifique.dev/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/templates/{id}"
payload = {
"sms": {
"enabled": True,
"payload": { "content": "Pedido {{codigo}} a caminho, {{name}}." }
},
"rcs": {
"enabled": True,
"payload": {
"messageType": "BASIC",
"message": "Pedido {{codigo}} a caminho."
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/templates/{id}"
payload := strings.NewReader("{\n \"sms\": {\n \"enabled\": true,\n \"payload\": {\n \"content\": \"Pedido {{codigo}} a caminho, {{name}}.\"\n }\n },\n \"rcs\": {\n \"enabled\": true,\n \"payload\": {\n \"messageType\": \"BASIC\",\n \"message\": \"Pedido {{codigo}} a caminho.\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "cltmpl01abc",
"workspaceId": "clws01xyz",
"name": "alerta_pedido",
"category": "TRANSACTIONAL",
"language": "pt_BR",
"source": null,
"status": "ACTIVE",
"metaId": null,
"type": null,
"components": null,
"variables": [
"codigo",
"name"
],
"variableDefaults": {
"name": "Cliente"
},
"usageCount": 12,
"lastUsedAt": "2026-07-08T10:15:00.000Z",
"marketingTopicId": null,
"appendPreferencesLink": true,
"localeTranslations": null,
"enabledChannels": [
"sms",
"email",
"whatsapp",
"rcs"
],
"sms": {
"enabled": true,
"payload": {
"content": "Pedido {{codigo}} a caminho, {{name}}."
}
},
"whatsapp": {
"enabled": true,
"payload": {
"content": "Ola {{name}}, pedido {{codigo}} saiu para entrega.",
"mediaUrl": null,
"buttons": null
}
},
"telegram": {
"enabled": false,
"payload": {
"content": "",
"mediaUrl": null,
"buttons": null
}
},
"email": {
"enabled": true,
"payload": {
"subject": "Pedido {{codigo}}",
"html": "<p>Ola {{name}}, seu pedido saiu.</p>",
"containerWidth": 600,
"containerPadding": 24,
"imageUrls": null,
"buttons": null
}
},
"rcs": {
"enabled": true,
"payload": {
"messageType": "BASIC",
"message": "Pedido {{codigo}} a caminho.",
"payload": null
}
},
"push": {
"enabled": false,
"payload": {
"title": null,
"body": null,
"url": null,
"icon": null,
"image": null,
"data": null
}
},
"voice": {
"enabled": false,
"payload": {
"speakText": "",
"speakVoice": null,
"gather": null
}
},
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-07-08T11:00:00.000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
"cltmpl01abc"
Body
"alerta_pedido"
MARKETING, TRANSACTIONAL, NOTIFICATION, AUTHENTICATION, CUSTOM "TRANSACTIONAL"
"pt_BR"
["codigo", "name"]
Show child attributes
Show child attributes
{ "name": "Cliente" }
true
Bloco por canal na criacao/edicao. enabled liga o canal; payload depende do canal.
Show child attributes
Show child attributes
Bloco por canal na criacao/edicao. enabled liga o canal; payload depende do canal.
Show child attributes
Show child attributes
Bloco por canal na criacao/edicao. enabled liga o canal; payload depende do canal.
Show child attributes
Show child attributes
Bloco por canal na criacao/edicao. enabled liga o canal; payload depende do canal.
Show child attributes
Show child attributes
Bloco por canal na criacao/edicao. enabled liga o canal; payload depende do canal.
Show child attributes
Show child attributes
Bloco por canal na criacao/edicao. enabled liga o canal; payload depende do canal.
Show child attributes
Show child attributes
Bloco por canal na criacao/edicao. enabled liga o canal; payload depende do canal.
Show child attributes
Show child attributes
Response
Template atualizado
true
Show child attributes
Show child attributes
{
"id": "cltmpl01abc",
"workspaceId": "clws01xyz",
"name": "alerta_pedido",
"category": "TRANSACTIONAL",
"language": "pt_BR",
"source": null,
"status": "ACTIVE",
"metaId": null,
"type": null,
"components": null,
"variables": ["codigo", "name"],
"variableDefaults": { "name": "Cliente" },
"usageCount": 12,
"lastUsedAt": "2026-07-08T10:15:00.000Z",
"marketingTopicId": null,
"appendPreferencesLink": true,
"localeTranslations": null,
"enabledChannels": ["sms", "email", "whatsapp"],
"sms": {
"enabled": true,
"payload": {
"content": "Pedido {{codigo}} despachado, {{name}}."
}
},
"whatsapp": {
"enabled": true,
"payload": {
"content": "Ola {{name}}, pedido {{codigo}} saiu para entrega.",
"mediaUrl": null,
"buttons": null
}
},
"telegram": {
"enabled": false,
"payload": {
"content": "",
"mediaUrl": null,
"buttons": null
}
},
"email": {
"enabled": true,
"payload": {
"subject": "Pedido {{codigo}}",
"html": "<p>Ola {{name}}, seu pedido saiu.</p>",
"containerWidth": 600,
"containerPadding": 24,
"imageUrls": null,
"buttons": null
}
},
"rcs": {
"enabled": false,
"payload": {
"messageType": "BASIC",
"message": "",
"payload": null
}
},
"push": {
"enabled": false,
"payload": {
"title": null,
"body": null,
"url": null,
"icon": null,
"image": null,
"data": null
}
},
"voice": {
"enabled": false,
"payload": {
"speakText": "",
"speakVoice": null,
"gather": null
}
},
"createdAt": "2026-06-01T12:00:00.000Z",
"updatedAt": "2026-07-01T09:30:00.000Z"
}
Was this page helpful?

